=== debian/changelog ===
deepin-compressor (1.0) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <zs@zs-PC.com>  Thu, 12 Sep 2019 11:35:48 +0800
